<?php
/*
Plugin Name: Coppermine Widget
Plugin URI: http://messouvenirs.net/blog/?p=507
Description: Display random or/and last image from Coppermine in sidebar. Coppermine Integration plugin should have been activated for this to work.
Version: 0.2
Author: Carl
Author URI: http://messouvenirs.net/blog/
*/
/*  
This program is free software you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
*/


/*******************************************************************************************
                                   Section random image
*******************************************************************************************/

// Function display widget
function coppermine_widget_random($args) {
  extract($args);
  
  // Gallery URL, Prefix, picture_width
  $sql = 'SELECT name,value FROM '.get_option('cpg_table_prefix').'config WHERE name = "ecards_more_pic_target" or name = "normal_pfx" or name = "picture_width" or name = "thumb_pfx"';
  $load = mysql_query($sql);
  
  while($row = @mysql_fetch_object($load)) {
    IF ($row->name == 'ecards_more_pic_target') { $gallery_url = $row->value; }
    IF ($row->name == 'normal_pfx') { $prefix = $row->value; }
    IF ($row->name == 'picture_width') { $picture_width = $row->value; }
    IF ($row->name == 'thumb_pfx') { $thumb = $row->value; }
  }
  
    
  $options = get_option("coppermine_widget_random");
  if (!is_array( $options ))
	{
	  $options = array(
      'title' => __('Random','coppermine'),
      'album' => '5',
      'filename' => '0',
      'shadow' => '0',
      'number' => '1',
      'size' => $thumb,
      'open_size' => $prefix,
      'open' => 'target=\"_blank\"',
      'width' => ''
      ); 
  }      
  //Formatage de l'affichage.
  echo $before_widget;
  echo $before_title;
  echo $options['title'];
  echo $after_title;
	
  IF ($options['album'][0] != '') {
    // Only selected album
		foreach ($options['album'] as $value) {		
      IF ($first != '') { $albums = "$albums or"; }
        $albums = "$albums aid = \"$value\"";
        $first = 'no';
		}
    // get album thumbnail paths and titles --> select album
    $sql=	'SELECT * '.'FROM '.get_option('cpg_table_prefix').'pictures '.	'WHERE approved = "YES" and pwidth != "0" and ('.$albums.')';
  } else {
    // get album thumbnail paths and titles --> all album
    $sql=	'SELECT * '.'FROM '.get_option('cpg_table_prefix').'pictures '.	'WHERE approved = "YES" and pwidth != "0"';
	}
  $sql.= 'ORDER BY RAND() '; 
  $sql.=' LIMIT '.$options['number'];
  
  $load = mysql_query($sql);
  while($row = @mysql_fetch_object($load)) {
    $filepath = $row->filepath;
    $filename = $row->filename;
    
    // Filename
    IF ($row->title != '') {
      $description = $row->title;
    } else {
      $description = $row->filename;
    }
    
    // IF no intermediate -> full size
    IF ($row->pwidth > $picture_width) {
      $prefix = $options['size'];
      $prefix_open = $options['open_size'];
    } else {
      IF ($row->pheight > $picture_width) {
        $prefix = $options['size'];
        $prefix_open = $options['open_size'];
      } else {
        $prefix = '';
        $prefix_open = '';
      }
    }
    
    //Prefix
    IF ($options['size'] == $thumb) { $prefix = $thumb; }
    IF ($options['open_size'] == '') { $prefix_open = ''; }
    
    $uri = $gallery_url.'albums/'.$filepath.$prefix.$filename;
    $urif = $gallery_url.'albums/'.$filepath.$prefix_open.$filename;
    
    // Width
    IF ($options['width'] != '') { $width = 'width="'.$options['width'].'"'; }
        
    IF ($options['open'] == 'gallery') {
      $link_image = '<center><a href="'.$gallery_url.'displayimage.php?pos=-'.$row->pid.'" TARGET="_top"><img src="'.$uri.'" alt="'.$description.'" title="'.$description.'" '.$width.'/>';
      IF ($options['filename'] == '1') { $link_image .= '<br />'.$description; }
      $link_image .= '</a><br />';
      
    } else {
     $link_image = '<center><a href="'.$urif.'" '.$options['open'].'><img src="'.$uri.'" alt="'.$description.'" title="'.$description.'" '.$width.'/>';
     IF ($options['filename'] == '1') { $link_image .= '<br />'.$description; }
     $link_image .= '</a><br />';
    }
    
    IF ($options['shadow'] != '1') {
      echo $link_image;
    } else {
    ?>
      <center><table style="display: inline;" class="shadow" border="0" 
      cellspacing="0" cellpadding="0">  
      <tr>
      <td class="shadow-topLeft"></td>
      <td class="shadow-top"></td>
      <td class="shadow-topRight"></td>
      </tr>
      <tr>
      <td class="shadow-left"></td>
      <td class="shadow-center">
      <?PHP
      echo $link_image;
      ?>
      </td>
      <td class="shadow-right"></td>   
      </tr>
      <tr>
      <td class="shadow-bottomLeft"></td>
      <td class="shadow-bottom"></td>
      <td class="shadow-bottomRight"></td>
      </tr>
      </table>
    <?PHP
    }
  }
  //
  echo '</center>';
  echo $after_widget;
}
?>
<?PHP
// Form
function coppermine_random_control() 
{
  // Prefix, Thumb
  $prefix = 'normal_';
  $thumb = 'thumb_';
  $sql = 'SELECT name,value FROM '.get_option('cpg_table_prefix').'config WHERE name = "normal_pfx" or name = "thumb_pfx"';
  $load = mysql_query($sql);
  
  while($row = @mysql_fetch_object($load)) {
    IF ($row->name == 'normal_pfx') { $prefix = $row->value; }
    IF ($row->name == 'thumb_pfx') { $thumb = $row->value; }
  }
          
  // Import options
  $options = get_option("coppermine_widget_random");
  
  // Default options
  if (!is_array( $options )){
    $options = array(
      'title' => __('Random Image','coppermine'),
      'album' => '',
      'filename' => '0',
      'shadow' => '0',
      'number' => '1',
      'size' => $thumb,
      'open_size' => $prefix,
      'open' => 'target="_blank"',
      'width' => ''
     ); 
  }
  
  // Update option widget
  if ($_POST['Coppermine-Submit-Random']) {
    $options['title'] = htmlspecialchars($_POST['Coppermine-Widget-Title']);
    $options['album'] = $_POST['Coppermine-Widget-albums'];
    $options['filename'] = htmlspecialchars($_POST['Coppermine-Widget-filename']);
    $options['shadow'] = htmlspecialchars($_POST['Coppermine-Widget-shadow']);
    $options['number'] = htmlspecialchars($_POST['Coppermine-Widget-number']);
    $options['size'] = htmlspecialchars($_POST['Coppermine-Widget-size']);
    $options['open_size'] = htmlspecialchars($_POST['Coppermine-Widget-open_size']);
    $options['open'] = htmlspecialchars($_POST['Coppermine-Widget-open']);
    $options['width'] = htmlspecialchars($_POST['Coppermine-Widget-Width']);
    IF (!is_numeric($options['width'])) { $options['width'] = ''; }
    update_option("coppermine_widget_random", $options);
  }
?>
  <script type="text/javascript">
  function Check_all(state)
  {
    var i;
    var tabInput=document.getElementsByTagName("input");
    var n=tabInput.length;
    
    for(i=0;i<n;i++)
    {
      if(tabInput[i].type=='checkbox')
      {
        tabInput[i].checked=state;
      }
    }
   }
  </script>
  <p>
  <b><?PHP _e('Title','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Title" name="Coppermine-Widget-Title" value="<?php echo $options['title'];?>" /><br/>
  
  <b><?PHP _e('Select Albums','coppermine'); ?>:</b><br />	
	<?PHP
  // get album thumbnail paths and titles
  $sql=	'SELECT * '.'FROM '.get_option('cpg_table_prefix').'albums '.	'WHERE visibility = "0" ORDER BY aid ';
  $load = mysql_query($sql);
  while($row = @mysql_fetch_object($load)) {
    echo '<INPUT TYPE="checkbox" NAME="Coppermine-Widget-albums[]" VALUE="'.$row->aid.'"';
    IF ($options['album'][0] != '') {
      foreach ($options['album'] as $value) {
        IF ($value == $row->aid) {  echo 'CHECKED'; }
      }
    }
    
     echo '>&nbsp;&nbsp;'.$row->title.'<br />';
  }
  echo '<a href="Javascript:;" onclick="javascript:Check_all(true);">'.__('Check All','coppermine').'</a> / ';
  echo '<a href="Javascript:;" onclick="javascript:Check_all(false);">'.__('Uncheck All','coppermine').'</a><br />';
  ?>
  
  <b><?PHP _e('Display filename','coppermine'); ?>:</b>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-filename" VALUE="1" <?PHP IF ($options['filename'] == '1') { echo 'checked'; } ?>><?PHP _e('Yes','coppermine'); ?>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-filename" VALUE="0" <?PHP IF ($options['filename'] == '0') { echo 'checked'; } ?>><?PHP _e('No','coppermine'); ?><br />
  
  <b><?PHP _e('Display a shadow around pictures','coppermine'); ?>:</b>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-shadow" VALUE="1" <?PHP IF ($options['shadow'] == '1') { echo 'checked'; } ?>><?PHP _e('Yes','coppermine'); ?>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-shadow" VALUE="0" <?PHP IF ($options['shadow'] == '0') { echo 'checked'; } ?>><?PHP _e('No','coppermine'); ?><br />
  
  <b><?PHP _e('Number of image to display','coppermine'); ?>:</b>
  <select  name="Coppermine-Widget-number">
    <?PHP    
    for ($nb_image = 1; $nb_image <= 10; $nb_image++){
      echo '<option value="',$nb_image,'" ';
      IF ($options['number'] == $nb_image) {  echo 'SELECTED'; }
      echo '>',$nb_image,'</option>';
    }
    ?>
  </select><br />

  <b><?PHP _e('Image format display','coppermine'); ?>:</b>
  <select name="Coppermine-Widget-size">
    <option value="<?PHP echo $thumb; ?>" <?PHP IF ($options['size'] == $thumb) {  echo 'SELECTED'; } ?>><?PHP _e('Thumbnail','coppermine'); ?></option>
    <option value="<?PHP echo $prefix; ?>" <?PHP IF ($options['size'] == $prefix) {  echo 'SELECTED'; } ?>><?PHP _e('Intermediate','coppermine'); ?></option>
  </select><br/>
  
  <b><?PHP _e('Format of the image to open','coppermine'); ?>:</b>
  <select name="Coppermine-Widget-open_size">
    <option value="<?PHP echo $prefix; ?>" <?PHP IF ($options['open_size'] == $prefix) {  echo 'SELECTED'; } ?>><?PHP _e('Intermediate','coppermine'); ?></option>
    <option value="" <?PHP IF ($options['open_size'] == '') {  echo 'SELECTED'; } ?>><?PHP _e('Full size','coppermine'); ?></option>
  </select><br/>
  
  <b><?PHP _e('Action when you click','coppermine'); ?>:</b>
  <select name="Coppermine-Widget-open">
    <option value='target=_blank' <?PHP IF ($options['open'] == '_blank') {  echo 'SELECTED'; } ?>><?PHP _e('New window','coppermine'); ?></option>
    <option value='target=_top' <?PHP IF ($options['open'] == '_top') {  echo 'SELECTED'; } ?>><?PHP _e('Same window','coppermine'); ?></option>
    <option value='gallery' <?PHP IF ($options['open'] == 'gallery') {  echo 'SELECTED'; } ?>><?PHP _e('In gallery','coppermine'); ?></option>
    <option value='rel=lightbox[my]' <?PHP IF ($options['open'] == 'rel=lightbox[my]') {  echo 'SELECTED'; } ?>><?PHP _e('Lightbox window (must be activated)','coppermine'); ?></option>
  </select><br/>
  
  <b><?PHP _e('Width (empty => Default)','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Width" name="Coppermine-Widget-Width" value="<?php echo $options['width'];?>" /><br/>
  
  <input type="hidden" id="Coppermine-Submit" name="Coppermine-Submit-Random" value="1" />
</p>
<?php
}
?>
<?PHP
/*******************************************************************************************
                                   Section last image
*******************************************************************************************/

// Function display widget - last image
function coppermine_widget_last($args) {
  extract($args);
  
  // Gallery URL, Prefix, picture_width
  $sql = 'SELECT name,value FROM '.get_option('cpg_table_prefix').'config WHERE name = "ecards_more_pic_target" or name = "normal_pfx" or name = "picture_width" or name = "thumb_pfx"';
  $load = mysql_query($sql);
  
  while($row = @mysql_fetch_object($load)) {
    IF ($row->name == 'ecards_more_pic_target') { $gallery_url = $row->value; }
    IF ($row->name == 'normal_pfx') { $prefix = $row->value; }
    IF ($row->name == 'picture_width') { $picture_width = $row->value; }
    IF ($row->name == 'thumb_pfx') { $thumb = $row->value; }
  }

    
  $options = get_option("coppermine_widget_last");
  IF (!is_array( $options ))
	{
	  $options = array(
      'title' => __('Last Image','coppermine'),
      'album1' => 'all',
      'filename' => '0',
      'shadow' => '0',
      'number' => '1',
      'size' => $thumb,
      'open_size' => $prefix,
      'open' => 'target=\"_blank\"',
      'width' => ''
      ); 
  }      
  // format display
  echo $before_widget;
  echo $before_title;
  echo $options['title'];
  echo $after_title;
  
  IF ($options['album1'] == 'all') {
    // get album thumbnail paths --> select all albums
    echo '<center>';
    $sql=	'SELECT * '.'FROM '.get_option('cpg_table_prefix').'pictures '.	'WHERE approved = "YES" and pwidth != "0"';
    $sql.= 'ORDER BY pid DESC '; 
    $sql.=' LIMIT '.$options['number'];
    $load = mysql_query($sql);
    while($row = @mysql_fetch_object($load)) {
      $filepath = $row->filepath;
      $filename = $row->filename;
        
      // Filename
      IF ($row->title != '') {
        $description = $row->title;
      } else {
        $description = $row->filename;
      }
        
      // IF no intermediate -> full size
      IF ($row->pwidth > $picture_width) {
        $prefix = $options['size'];
        $prefix_open = $options['open_size'];
      } else {
        IF ($row->pheight > $picture_width) {
          $prefix = $options['size'];
          $prefix_open = $options['open_size'];
        } else {
          $prefix = '';
          $prefix_open = '';
        }
      }
        
      //Prefix
      IF ($options['size'] == $thumb) { $prefix = $thumb; }
      IF ($options['open_size'] == '') { $prefix_open = ''; }
      
      // Width
      IF ($options['width'] != '') { $width = 'width="'.$options['width'].'"'; }
                
      $uri = $gallery_url.'albums/'.$filepath.$prefix.$filename;
      $urIF = $gallery_url.'albums/'.$filepath.$prefix_open.$filename;
      
      IF ($options['open'] == 'gallery') {
        $link_image = '<a href="'.$gallery_url.'displayimage.php?pos=-'.$row->pid.'" TARGET="_top"><img src="'.$uri.'" alt="'.$description.'" title="'.$description.'" '.$width.'/>';
        IF ($options['filename'] == '1') { $link_image .= '<br />'.$description; }
        $link_image .= '</a><br />';
      } else {
        $link_image = '<a href="'.$urIF.'" '.$options['open'].'><img src="'.$uri.'" alt="'.$description.'" title="'.$description.'" '.$width.'/>';
        IF ($options['filename'] == '1') { $link_image .= '<br />'.$description; }
        $link_image .= '</a><br />';
      }
      IF ($options['shadow'] != '1') {
        echo $link_image;
      } else {
        ?>
        <table style="display: inline;" class="shadow" border="0" 
        cellspacing="0" cellpadding="0">  
        <tr>
        <td class="shadow-topLeft"></td>
        <td class="shadow-top"></td>
        <td class="shadow-topRight"></td>
        </tr>
        <tr>
        <td class="shadow-left"></td>
        <td class="shadow-center">
        <?PHP
        echo $link_image;
        ?>
        </td>
        <td class="shadow-right"></td>   
        </tr>
        <tr>
        <td class="shadow-bottomLeft"></td>
        <td class="shadow-bottom"></td>
        <td class="shadow-bottomRight"></td>
        </tr>
        </table>
        <?PHP
      }
    }
    echo '</center>';
  } else {
    for ($a = 1; $a <= 4; $a++){ 
      IF ($options['album'.$a.''] != '0') {
        echo '<b>'.$options['title'.$a.''].'</b><center>';
        // get album thumbnail paths and titles --> select album
        $sql=	'SELECT * '.'FROM '.get_option('cpg_table_prefix').'pictures '.	'WHERE approved = "YES" and pwidth != "0" and aid = '.$options['album'.$a.''].' ';
      }  
      $sql.= 'ORDER BY pid DESC '; 
      $sql.=' LIMIT '.$options['number'];
        
      $load = mysql_query($sql);
      while($row = @mysql_fetch_object($load)) {
        $filepath = $row->filepath;
        $filename = $row->filename;
          
        // Filename
        IF ($row->title != '') {
          $description = $row->title;
        } else {
          $description = $row->filename;
        }
          
        // IF no intermediate -> full size
        IF ($row->pwidth > $picture_width) {
          $prefix = $options['size'];
          $prefix_open = $options['open_size'];
        } else {
          IF ($row->pheight > $picture_width) {
            $prefix = $options['size'];
            $prefix_open = $options['open_size'];
          } else {
            $prefix = '';
            $prefix_open = '';
          }
        }
          
        //Prefix
        IF ($options['size'] == $thumb) { $prefix = $thumb; }
        IF ($options['open_size'] == '') { $prefix_open = ''; }
                  
        $uri = $gallery_url.'albums/'.$filepath.$prefix.$filename;
        $urIF = $gallery_url.'albums/'.$filepath.$prefix_open.$filename;
        
        // Width
        IF ($options['width'] != '') { $width = 'width="'.$options['width'].'"'; }
        
        IF ($options['open'] == 'gallery') {
          $link_image = '<a href="'.$gallery_url.'displayimage.php?pos=-'.$row->pid.'" TARGET="_top"><img src="'.$uri.'" alt="'.$description.'" title="'.$description.'" '.$width.'/>';
          IF ($options['filename'] == '1') { $link_image .= '<br />'.$description; }
          $link_image .= '</a><br />';
        } else {
          $link_image = '<a href="'.$urIF.'" '.$options['open'].'><img src="'.$uri.'" alt="'.$description.'" title="'.$description.'" '.$width.'/>';
          IF ($options['filename'] == '1') { $link_image .= '<br />'.$description; }
          $link_image .= '</a><br />';
        }
        
        IF ($options['shadow'] != '1') {
          echo $link_image;
        } else {
          ?>
          <table style="display: inline;" class="shadow" border="0" 
          cellspacing="0" cellpadding="0">  
          <tr>
          <td class="shadow-topLeft"></td>
          <td class="shadow-top"></td>
          <td class="shadow-topRight"></td>
          </tr>
          <tr>
          <td class="shadow-left"></td>
          <td class="shadow-center">
          <?PHP
          echo $link_image;
          ?>
          </td>
          <td class="shadow-right"></td>   
          </tr>
          <tr>
          <td class="shadow-bottomLeft"></td>
          <td class="shadow-bottom"></td>
          <td class="shadow-bottomRight"></td>
          </tr>
          </table>
          <?PHP
        }
      }
      echo '</center>';
    }
  }  
  //
  echo $after_widget;

}
?>
<?PHP
// Form
function coppermine_last_control() 
{
  // Prefix, Thumb
  $prefix = 'normal_';
  $thumb = 'thumb_';
  $sql = 'SELECT name,value FROM '.get_option('cpg_table_prefix').'config WHERE name = "normal_pfx" or name = "thumb_pfx"';
  $load = mysql_query($sql);
  
  while($row = @mysql_fetch_object($load)) {
    IF ($row->name == 'normal_pfx') { $prefix = $row->value; }
    IF ($row->name == 'thumb_pfx') { $thumb = $row->value; }
  }
  
  // Import options
  $options = get_option("coppermine_widget_last");

  // Default options
  IF (!is_array( $options )){  
    $options = array(
      'title' => __('Last Image','coppermine'),
      'album1' => 'all',
      'filename' => '0',
      'shadow' => '0',
      'number' => '1',
      'size' => $thumb,
      'open_size' => $prefix,
      'open' => 'target="_blank"',
      'width' => ''
     ); 
   } 
   
  // Reset IF choice all
  IF ($options['album1'] == 'all'){
    $options['album2'] = '0';
    $options['album3'] = '0';
    $options['album4'] = '0';
    $options['title1'] = '';
    $options['title2'] = '';
    $options['title3'] = '';
    $options['title4'] = '';
  }
           
  // Update option widget
  IF ($_POST['Coppermine-Submit-Last']) {
    $options['title'] = htmlspecialchars($_POST['Coppermine-Widget-Last-Title']);
    $options['title1'] = htmlspecialchars($_POST['Coppermine-Widget-Last-title1']);
    $options['album1'] = htmlspecialchars($_POST['Coppermine-Widget-Last1']);
    $options['title2'] = htmlspecialchars($_POST['Coppermine-Widget-Last-title2']);
    $options['album2'] = htmlspecialchars($_POST['Coppermine-Widget-Last2']);
    $options['title3'] = htmlspecialchars($_POST['Coppermine-Widget-Last-title3']);
    $options['album3'] = htmlspecialchars($_POST['Coppermine-Widget-Last3']);
    $options['title4'] = htmlspecialchars($_POST['Coppermine-Widget-Last-title4']);
    $options['album4'] = htmlspecialchars($_POST['Coppermine-Widget-Last4']);
    $options['filename'] = htmlspecialchars($_POST['Coppermine-Widget-Last-filename']);
    $options['shadow'] = htmlspecialchars($_POST['Coppermine-Widget-Last-shadow']);
    $options['number'] = htmlspecialchars($_POST['Coppermine-Widget-Last-number']);
    $options['size'] = htmlspecialchars($_POST['Coppermine-Widget-Last-size']);
    $options['open_size'] = htmlspecialchars($_POST['Coppermine-Widget-Last-open_size']);
    $options['open'] = htmlspecialchars($_POST['Coppermine-Widget-Last-open']);
    $options['width'] = htmlspecialchars($_POST['Coppermine-Widget-Last-width']);
    IF (!is_numeric($options['width'])) { $options['width'] = ''; }
    update_option("coppermine_widget_last", $options);
  }
?>
  
  <b><?PHP _e('Title','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Last-Title" name="Coppermine-Widget-Last-Title" value="<?php echo $options['title'];?>" /><br/>
  
	<table border="0" width="100%">
	<tr><td colspan="5"><b><?PHP _e('Select Albums','coppermine'); ?>:</b></td></tr>
	<tr><td align="center">1</td><td align="center">2</td><td align="center">3</td><td align="center">4</td><td align="center">&nbsp;</td></tr>
	<?PHP
  // get album thumbnail paths and titles
  $sql=	'SELECT * '.'FROM '.get_option('cpg_table_prefix').'albums '.	'WHERE visibility = "0" ORDER BY aid ';
  $load = mysql_query($sql);
  while($row = @mysql_fetch_object($load)) {
    echo '<tr><td>';
    echo '<INPUT TYPE="radio" NAME="Coppermine-Widget-Last1" VALUE="'.$row->aid.'"';
    IF ($options['album1'] == $row->aid) {  echo 'CHECKED'; }
    echo '></td><td>';
    echo '<INPUT TYPE="radio" NAME="Coppermine-Widget-Last2" VALUE="'.$row->aid.'"';
    IF ($options['album2'] == $row->aid) {  echo 'CHECKED'; }
    echo '></td><td>';
    echo '<INPUT TYPE="radio" NAME="Coppermine-Widget-Last3" VALUE="'.$row->aid.'"';
    IF ($options['album3'] == $row->aid) {  echo 'CHECKED'; }
    echo '></td><td>';
    echo '<INPUT TYPE="radio" NAME="Coppermine-Widget-Last4" VALUE="'.$row->aid.'"';
    IF ($options['album4'] == $row->aid) {  echo 'CHECKED'; }
    echo '></td><td>';
    echo '&nbsp;'.$row->title.'</td></tr>';
  }
  echo '<tr><td></td><td>';
  echo '<INPUT TYPE="radio" NAME="Coppermine-Widget-Last2" VALUE="0"';
  IF ($options['album2'] == 0) {  echo 'CHECKED'; }
  echo '></td><td>';
  echo '<INPUT TYPE="radio" NAME="Coppermine-Widget-Last3" VALUE="0"';
  IF ($options['album3'] == 0) {  echo 'CHECKED'; }
  echo '></td><td>';
  echo '<INPUT TYPE="radio" NAME="Coppermine-Widget-Last4" VALUE="0"';
  IF ($options['album4'] == 0) {  echo 'CHECKED'; }
  echo '></td><td>';
  echo '&nbsp;'.__('None','coppermine').'</td></tr>';
  ?>
  	<tr><td>
	<INPUT TYPE="radio" NAME="Coppermine-Widget-Last1" VALUE="all"
   <?PHP IF ($options['album1'] == 'all') {  echo 'CHECKED'; } ?>
  ></td><td></td><td></td><td></td><td>&nbsp;<?PHP _e('In all albums (Deactivates subtitles)','coppermine');?></td></tr>
  </table>
  
  <b><?PHP _e('Subtitle 1 (Optional)','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Last-Title1" name="Coppermine-Widget-Last-title1" value="<?php echo $options['title1'];?>" /><br/>
  <b><?PHP _e('Subtitle 2 (Optional)','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Last-Title1" name="Coppermine-Widget-Last-title2" value="<?php echo $options['title2'];?>" /><br/>
  <b><?PHP _e('Subtitle 3 (Optional)','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Last-Title1" name="Coppermine-Widget-Last-title3" value="<?php echo $options['title3'];?>" /><br/>
  <b><?PHP _e('Subtitle 4 (Optional)','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Last-Title1" name="Coppermine-Widget-Last-title4" value="<?php echo $options['title4'];?>" /><br/>
  
  <b><?PHP _e('Display filename','coppermine'); ?>:</b>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-Last-filename" VALUE="1" <?PHP IF ($options['filename'] == '1') { echo 'checked'; } ?>><?PHP _e('Yes','coppermine'); ?>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-Last-filename" VALUE="0" <?PHP IF ($options['filename'] == '0') { echo 'checked'; } ?>><?PHP _e('No','coppermine'); ?><br />
  
  <b><?PHP _e('Display a shadow around pictures','coppermine'); ?>:</b>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-Last-shadow" VALUE="1" <?PHP IF ($options['shadow'] == '1') { echo 'checked'; } ?>><?PHP _e('Yes','coppermine'); ?>
  <INPUT TYPE="radio" NAME="Coppermine-Widget-Last-shadow" VALUE="0" <?PHP IF ($options['shadow'] == '0') { echo 'checked'; } ?>><?PHP _e('No','coppermine'); ?><br />
  
  <b><?PHP _e('Number of image to display','coppermine'); ?>:</b>
  <select  name="Coppermine-Widget-Last-number">
    <?PHP    
    for ($nb_image = 1; $nb_image <= 10; $nb_image++){
      echo '<option value="',$nb_image,'" ';
      IF ($options['number'] == $nb_image) {  echo 'SELECTED'; }
      echo '>',$nb_image,'</option>';
    }
    ?>
  </select><br />

  <b><?PHP _e('Image format display','coppermine'); ?>:</b>
  <select name="Coppermine-Widget-Last-size">
    <option value="<?PHP echo $thumb; ?>" <?PHP IF ($options['size'] == $thumb) {  echo 'SELECTED'; } ?>><?PHP _e('Thumbnail','coppermine'); ?></option>
    <option value="<?PHP echo $prefix; ?>" <?PHP IF ($options['size'] == $prefix) {  echo 'SELECTED'; } ?>><?PHP _e('Intermediate','coppermine'); ?></option>
  </select><br/>
  
  <b><?PHP _e('Format of the image to open','coppermine'); ?>:</b>
  <select name="Coppermine-Widget-Last-open_size">
    <option value="<?PHP echo $prefix; ?>" <?PHP IF ($options['open_size'] == $prefix) {  echo 'SELECTED'; } ?>><?PHP _e('Intermediate','coppermine'); ?></option>
    <option value="" <?PHP IF ($options['open_size'] == '') {  echo 'SELECTED'; } ?>><?PHP _e('Full size','coppermine'); ?></option>
  </select><br/>
  
  <b><?PHP _e('Action when you click','coppermine'); ?>:</b>
  <select name="Coppermine-Widget-Last-open">
    <option value='target=_blank' <?PHP IF ($options['open'] == '_blank') {  echo 'SELECTED'; } ?>><?PHP _e('New window','coppermine'); ?></option>
    <option value='target=_top' <?PHP IF ($options['open'] == '_top') {  echo 'SELECTED'; } ?>><?PHP _e('Same window','coppermine'); ?></option>
    <option value='gallery' <?PHP IF ($options['open'] == 'gallery') {  echo 'SELECTED'; } ?>><?PHP _e('In gallery','coppermine'); ?></option>
    <option value='rel=lightbox[my]' <?PHP IF ($options['open'] == 'rel=lightbox[my]') {  echo 'SELECTED'; } ?>><?PHP _e('Lightbox window (must be activated)','coppermine'); ?></option>
  </select><br/>
  
  <b><?PHP _e('Width (empty => Default)','coppermine'); ?>:</b>
  <input type="text" id="Coppermine-Widget-Width" name="Coppermine-Widget-Last-width" value="<?php echo $options['width'];?>" /><br/>
  
  <input type="hidden" id="Coppermine-Submit" name="Coppermine-Submit-Last" value="1" />

<?php
}
?>
<?PHP
function coppermine_init()
{
  register_sidebar_widget('Coppermine Random', 'coppermine_widget_random');
  register_widget_control('Coppermine Random', 'coppermine_random_control', 475, 300 );
  register_sidebar_widget('Coppermine Last', 'coppermine_widget_last');
  register_widget_control('Coppermine Last', 'coppermine_last_control', 475, 300 ); 
}

add_action("widgets_init", "coppermine_init");
?>